Std UserEditMode/de: Difference between revisions

From FreeCAD Documentation
(Created page with "Um mögliche Bearbeitungsmodi anzuzeigen:")
(Created page with "Um den aktiven Bearbeitungsmodus zu erhalten:")
Line 66: Line 66:
}}
}}


Um den aktiven Bearbeitungsmodus zu erhalten:
To get the active edit mode:


{{Code|code=
{{Code|code=

Revision as of 09:02, 25 December 2021

Other languages:

Std BenutzerBearbeitungsmodus

Menüeintrag
Bearbeiten → Bearbeitungsmodus → ...
Arbeitsbereich
Alle
Standardtastenkürzel
Keiner
Eingeführt in Version
0.20
Siehe auch
Std Berbeiten

Beschreibung

The Std UserEditMode command defines the edit mode to be used when an object is double-clicked in the Tree view.

Anwendung

  1. There are several ways to invoke the command:
    • Click on the black down arrow to the right of the Std UserEditMode button and select an edit mode from the flyout. Note: the button image will change depending on the selected option.
    • In the menu go to View → Edit mode and select an edit mode.

mögliche Bearbeitungsmodi

Vorgabe

The object will be edited using its default mode. This edit mode is defined internally to be the most appropriate for the object type. For example, it will be shape properties edition for Part primitives and PartDesign features, placement edition for Part booleans, etc.

Transformieren

The object will have its placement editable with the Std TransformManip command.

Abtrennen

This edit mode is implemented as available but currently does not seem to be used by any object.

Farbe

The object will have the color of its individual faces editable with the Part FaceColors command.

Hinweise

  • Not all objects support all edit modes. If the selected mode isn't supported by the object, its default edit mode will be used instead.

Einstellungen

  • The last edit mode is stored: Tools → Edit parameters... → BaseApp → Preferences → General → UserEditMode. It is an integer value. Possible values are 0 (Default), 1 (Transform), 2 (Cutting) or 3 (Color). The default is 0.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

Um mögliche Bearbeitungsmodi anzuzeigen:

import FreeCADGui
FreeCADGui.listUserEditModes()

Um den aktiven Bearbeitungsmodus zu erhalten:

import FreeCADGui
FreeCADGui.getUserEditMode()

To set the active edit mode:

import FreeCADGui
FreeCADGui.setUserEditMode(MODENAME) # Where MODENAME is a string available in the list of edit modes